Index: /trunk/cleanup.php
===================================================================
--- /trunk/cleanup.php	(revision 17)
+++ /trunk/cleanup.php	(revision 18)
@@ -413,4 +413,5 @@
          file_put_contents( "$output_dir/$fn", $xml );    // Copy to submit dir
 
+         $file_type = "jobstats";
       }
 
Index: /trunk/cleanup_adev.php
===================================================================
--- /trunk/cleanup_adev.php	(revision 17)
+++ /trunk/cleanup_adev.php	(revision 18)
@@ -8,5 +8,5 @@
  */
 
-$us3bin = exec( "ls -d ~us3/bin" );
+$us3bin = exec( "ls -d ~us3/lims/bin" );
 include_once "$us3bin/listen-config.php";
 include $class_dir_d . "experiment_status.php";
Index: /trunk/cleanup_aira.php
===================================================================
--- /trunk/cleanup_aira.php	(revision 17)
+++ /trunk/cleanup_aira.php	(revision 18)
@@ -8,5 +8,5 @@
  */
 
-$us3bin = exec( "ls -d ~us3/bin" );
+$us3bin = exec( "ls -d ~us3/lims/bin" );
 include_once "$us3bin/listen-config.php";
 include $class_dir_p . "experiment_status.php";
Index: /trunk/cleanup_gfac.php
===================================================================
--- /trunk/cleanup_gfac.php	(revision 17)
+++ /trunk/cleanup_gfac.php	(revision 18)
@@ -7,5 +7,5 @@
  */
 
-$us3bin = exec( "ls -d ~us3/bin" );
+$us3bin = exec( "ls -d ~us3/lims/bin" );
 include_once "$us3bin/listen-config.php";
 $me              = 'cleanup_gfac.php';
Index: /trunk/cluster_status.php
===================================================================
--- /trunk/cluster_status.php	(revision 17)
+++ /trunk/cluster_status.php	(revision 18)
@@ -165,7 +165,5 @@
    global $data;
 
-//   $clusters = array( "alamo", "lonestar", "lonestar5", "stampede",
-//                      "comet", "gordon" );
-   $clusters = array( "alamo", "lonestar", "lonestar5", "stampede",
+   $clusters = array( "alamo", "lonestar5", "stampede",
                       "comet", "gordon", "jureca", "jacinto" );
    foreach ( $clusters as $clname )
Index: /trunk/gridctl.php
===================================================================
--- /trunk/gridctl.php	(revision 17)
+++ /trunk/gridctl.php	(revision 18)
@@ -8,4 +8,5 @@
 
 //global $self;
+global $status_ex, $status_gw;
 
 // Produce some output temporarily, so cron will send me message
@@ -679,4 +680,5 @@
    global $loghdr;
    global $cluster;
+   global $status_ex, $status_gw;
 
    if ( is_aira_job( $gfacID ) )
@@ -686,7 +688,7 @@
       if ( $status_ex == 'EXECUTING' )
       {
-         if ( $gfac_status == 'SUBMITTED' )
+         if ( $status_gw == 'SUBMITTED' )
             $status_ex    = 'QUEUED';
-         if ( $gfac_status == 'RUNNING' )
+         if ( $status_gw == 'RUNNING' )
             $status_ex    = 'ACTIVE';
       }
Index: /trunk/gridctl_dev.php
===================================================================
--- /trunk/gridctl_dev.php	(revision 17)
+++ /trunk/gridctl_dev.php	(revision 18)
@@ -1,5 +1,5 @@
 <?php
 
-$us3bin    = exec( "ls -d ~us3/bin" );
+$us3bin    = exec( "ls -d ~us3/lims/bin" );
 include_once "$us3bin/listen-config.php";
 
Index: /trunk/gridctl_pro.php
===================================================================
--- /trunk/gridctl_pro.php	(revision 17)
+++ /trunk/gridctl_pro.php	(revision 18)
@@ -1,5 +1,5 @@
 <?php
 
-$us3bin    = exec( "ls -d ~us3/bin" );
+$us3bin    = exec( "ls -d ~us3/lims/bin" );
 include_once "$us3bin/listen-config.php";
 
Index: /trunk/listen.php
===================================================================
--- /trunk/listen.php	(revision 17)
+++ /trunk/listen.php	(revision 18)
@@ -1,5 +1,5 @@
 <?php
 
-$us3bin = exec( "ls -d ~us3/bin" );
+$us3bin = exec( "ls -d ~us3/lims/bin" );
 include "$us3bin/listen-config.php";
 
@@ -18,5 +18,5 @@
 $php = "/usr/bin/php";
 
-$cmd = "/usr/bin/nohup $php $home/bin/manage-us3-pipe.php >>$home/etc/manage.log 2>&1 </dev/null &";
+$cmd = "/usr/bin/nohup $php $home/lims/bin/manage-us3-pipe.php >>$home/lims/etc/manage.log 2>&1 </dev/null &";
 
 exec( $cmd );
Index: /trunk/manage-us3-pipe.php
===================================================================
--- /trunk/manage-us3-pipe.php	(revision 17)
+++ /trunk/manage-us3-pipe.php	(revision 18)
@@ -1,5 +1,5 @@
 <?php
 
-$us3bin = exec( "ls -d ~us3/bin" );
+$us3bin = exec( "ls -d ~us3/lims/bin" );
 include "$us3bin/listen-config.php";
 include "/srv/www/htdocs/common/class/experiment_status.php";
Index: /trunk/update_notice.php
===================================================================
--- /trunk/update_notice.php	(revision 17)
+++ /trunk/update_notice.php	(revision 18)
@@ -1,6 +1,6 @@
 <?php
 
-$us3bin = exec( "ls -d ~us3/bin" );
-$us3etc = exec( "ls -d ~us3/etc" );
+$us3bin = exec( "ls -d ~us3/lims/bin" );
+$us3etc = exec( "ls -d ~us3/lims/etc" );
 include_once "$us3bin/listen-config.php";
 
@@ -122,8 +122,8 @@
 {
    $key    = $type . $rev;
-   $msgf   = $notices[ $key ][ 'msg'  ];
 
    if ( in_array( $key, $keys ) )
    {  // Entry is in both file and DB
+      $msgf   = $notices[ $key ][ 'msg'  ];
       $notices[ $key ][ 'id'   ] = $id;
       $notices[ $key ][ 'type' ] = $type;
Index: /trunk/us3-notice.php
===================================================================
--- /trunk/us3-notice.php	(revision 17)
+++ /trunk/us3-notice.php	(revision 18)
@@ -1,3 +1,3 @@
-$us3bin = exec( "ls -d ~us3/bin" );
+$us3bin = exec( "ls -d ~us3/lims/bin" );
 include_once "$us3bin/listen-config.php";
 include "$us3bin/cleanup_aira.php";