Index: /trunk/cleanup.php
===================================================================
--- /trunk/cleanup.php	(revision 27)
+++ /trunk/cleanup.php	(revision 28)
@@ -197,5 +197,5 @@
    $num_try    = 0;
 write_log( "$me: fn_tarfile=$fn_tarfile" );
-   while ( ! file_exists( $fn_tarfile ) && $num_try < 3 )
+   while ( ! file_exists( $fn_tarfile )  &&  $num_try < 3 )
    {
       sleep( $secwait );
@@ -873,5 +873,5 @@
    // Figure out remote directory
    $remoteDir = sprintf( "$work_remote/$db-%06d", $requestID );
-write_log( "$me: is_us3iab=$is_us3iab  remoteDir=$remoteDir" );
+//write_log( "$me: is_us3iab=$is_us3iab  remoteDir=$remoteDir" );
 
    // Get stdout, stderr, output/analysis-results.tar
@@ -880,4 +880,11 @@
    if ( $is_us3iab == 0 )
    {
+      // For "-local", recompute remote work directory
+      $cmd = "ssh us3@$cluster.uthscsa.edu 'ls -d ~us3/lims/work/local' 2/dev/null";
+      exec( $cmd, $output, $stat );
+      $work_remote = $output[ 0 ];
+      $remoteDir   = sprintf( "$work_remote/$db-%06d", $requestID );
+write_log( "$me:  -LOCAL: remoteDir=$remoteDir" );
+
       // Figure out local working directory
       if ( ! is_dir( "$work/$gfacID" ) ) mkdir( "$work/$gfacID", 0770 );
@@ -942,5 +949,5 @@
 
    $lense = strlen( $stderr );
-   if ( $lense > 10000000 )
+   if ( $lense > 1000000 )
    { // Replace exceptionally large stderr with smaller version
       exec( "mv stderr stderr-orig", $output, $stat );
Index: /trunk/cluster_status.php
===================================================================
--- /trunk/cluster_status.php	(revision 27)
+++ /trunk/cluster_status.php	(revision 28)
@@ -176,5 +176,5 @@
    {
       if ( preg_match( "/attlocal/", $org_domain ) )
-         $clusters = array( "us3iab-devel" );
+         $clusters = array( "us3iab-devel", "alamo-local" );
       else
          $clusters = array( "us3iab-node0" );
@@ -209,4 +209,5 @@
             break;
          }
+         case 'alamo-local':
          case 'alamo':
          {
Index: /trunk/gridctl.php
===================================================================
--- /trunk/gridctl.php	(revision 27)
+++ /trunk/gridctl.php	(revision 28)
@@ -61,4 +61,9 @@
          continue;
       }
+   }
+
+   else if ( $me_devel )
+   {  // Local (us3iab/-local) and class_devel:  skip processing
+      continue;
    }
 
@@ -533,4 +538,8 @@
       $query   = "UPDATE analysis SET status='RUNNING' WHERE gfacID='$gfacID'";
       $message = "Job status request reports job is RUNNING";
+      break;
+
+    case 'EXECUTING'      :
+      $message = "Job status request reports job is EXECUTING";
       break;
 
@@ -825,17 +834,23 @@
 
    $cmd    = "/usr/bin/qstat -a $gfacID 2>&1|tail -n 1";
+//write_log( "$self cmd: $cmd" );
+//write_log( "$self cluster: $cluster" );
+//write_log( "$self gfacID: $gfacID" );
    if ( ! preg_match( "/us3iab/", $cluster ) )
    {
       $system = "$cluster.uthscsa.edu";
       $system = preg_replace( "/\-local/", "", $system );
+//write_log( "$self system: $system" );
       $cmd    = "/usr/bin/ssh -x us3@$system " . $cmd;
+//write_log( "$self  cmd: $cmd" );
    }
 
    $result = exec( $cmd );
+//write_log( "$self  result: $result" );
 
    if ( $result == ""  ||  preg_match( "/^qstat: Unknown/", $result ) )
    {
       write_log( "$self get_local_status: Local job $gfacID unknown" );
-write_log( "$self get_local_status: result=$result" );
+//write_log( "$self get_local_status: result=$result" );
       return 'UNKNOWN';
    }
@@ -852,5 +867,4 @@
 
       case "C" :                      // Job has completed
-      case ""  :
         $status = 'COMPLETED';
         break;
@@ -985,4 +999,5 @@
       case 'SCHEDULED' :
       case 'submitted' :
+      case 'SUBMITTED' :
       case '' :
          $status      = 'SUBMITTED';
@@ -1101,4 +1116,10 @@
       }
 
+      else if ( $status_ex == 'EXECUTING' )
+      {
+         $status    = standard_status( $status_gw );
+write_log( "$loghdr status/_in/_gw/_ex=$status/$status_in/$status_gw/$status_ex" );
+      }
+
       else
       {  // Experiment not COMPLETED/FINISHED/DONE: use experiment status
Index: /trunk/listen-config.php.template
===================================================================
--- /trunk/listen-config.php.template	(revision 27)
+++ /trunk/listen-config.php.template	(revision 28)
@@ -13,5 +13,5 @@
 $class_dir_p = '/srv/www/htdocs/common/class/';        // Class dir for production
 $class_dir_d = '/srv/www/htdocs/common/class_devel/';  // Class dir for development
-$class_dir_l = '/srv/www/htdocs/common/class_local/';  // Class dir for development
+$class_dir_l = '/srv/www/htdocs/common/class_local/';  // Class dir for local
 $class_dir   = $class_dir_p;                           // Class dir default
 